import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
class VerticalDots extends StatelessWidget {
  final double dotSize;
  final double height;
  final Color? color;
  final double horizontalPadding;

  const VerticalDots({
    super.key,
    required this.dotSize,
    required this.height,
    this.color = Colors.white,
    this.horizontalPadding = 0,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.symmetric(horizontal: horizontalPadding),
      width: 2.w,
      height: 8.h,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: List.generate(2, (index) {
          return Container(
            width: dotSize,
            height: dotSize,
            decoration: BoxDecoration(color: color, shape: BoxShape.circle),
          );
        }),
      ),
    );
  }
}